commit: eccd9ba8ba0dca64542aaf37213b625d748393b8
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 8 13:06:04 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jul 8 13:59:17 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eccd9ba8
dev-cpp/robin-map: add 1.3.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-cpp/robin-map/Manifest | 1 +
...{robin-map-9999.ebuild => robin-map-1.3.0.ebuild} | 20 +++++++++++++++++---
dev-cpp/robin-map/robin-map-9999.ebuild | 20 +++++++++++++++++---
3 files changed, 35 insertions(+), 6 deletions(-)
diff --git a/dev-cpp/robin-map/Manifest b/dev-cpp/robin-map/Manifest
index fbc684a36779..756454ea9a41 100644
--- a/dev-cpp/robin-map/Manifest
+++ b/dev-cpp/robin-map/Manifest
@@ -1 +1,2 @@
DIST robin-map-0.6.3.tar.gz 64506 BLAKE2B
46a2b5b47346016695db0c49f73cfbf8530b7db0a31527030eb00f3b6f0695325ab6fe16de1e60d6b1d0793818bdd1e31e50117f2e2e4c50154f65b38ac66d84
SHA512
485557f300d33bda62bb8accdf246819ee8ffe956bc022e7ddca54ff6ad1a9fdb8db8d80690add3ef238e834d1eb8e2905920cb0a0674e7df010f6946d01297b
+DIST robin-map-1.3.0.tar.gz 70562 BLAKE2B
be6ee47ea06edd2485c16e02eecf8db28c7d18c2eb933450df54e0bab8c7ded79954a295a65a8990b641896186efef391a9f9f0f5b236ba96154bfa6cac45e14
SHA512
862cb98d771d1acb692e27d1cc8a4f2cda0883b66af7b38b63ea702ed2d4fc4d49e5700ca4d5f5148fee132f36e111c4839d4f8c52c96a9c60f3937d941b2320
diff --git a/dev-cpp/robin-map/robin-map-9999.ebuild
b/dev-cpp/robin-map/robin-map-1.3.0.ebuild
similarity index 54%
copy from dev-cpp/robin-map/robin-map-9999.ebuild
copy to dev-cpp/robin-map/robin-map-1.3.0.ebuild
index 99255a6ea187..a476d88fd8ce 100644
--- a/dev-cpp/robin-map/robin-map-9999.ebuild
+++ b/dev-cpp/robin-map/robin-map-1.3.0.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake
@@ -13,8 +13,22 @@ if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://github.com/Tessil/robin-map"
else
SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
fi
LICENSE="MIT"
SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+src_test() {
+ cd tests || die
+ sed -i -e '/Boost_USE_STATIC_LIBS/d' CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}
diff --git a/dev-cpp/robin-map/robin-map-9999.ebuild
b/dev-cpp/robin-map/robin-map-9999.ebuild
index 99255a6ea187..a476d88fd8ce 100644
--- a/dev-cpp/robin-map/robin-map-9999.ebuild
+++ b/dev-cpp/robin-map/robin-map-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake
@@ -13,8 +13,22 @@ if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://github.com/Tessil/robin-map"
else
SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
fi
LICENSE="MIT"
SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+src_test() {
+ cd tests || die
+ sed -i -e '/Boost_USE_STATIC_LIBS/d' CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}